---
apiVersion: install.istio.io/v1alpha1
kind: IstioOperator
metadata:
  name: istio
  namespace: istio-system
spec:
  hub: docker.io/querycapistio
  tag: 1.7.3-distroless

  components:
    egressGateways:
    - name: istio-egressgateway
      enabled: false
      k8s:
        affinity:
          nodeAffinity:
            requiredDuringSchedulingIgnoredDuringExecution:
              nodeSelectorTerms:
              - matchExpressions:
                - key: kubernetes.io/arch
                  operator: In
                  values:
                  - arm64
        resources:
          limits:
            cpu: 200m
            memory: 256Mi
          requests:
            cpu: 100m
            memory: 128Mi

    ingressGateways:
    - name: istio-ingressgateway
      enabled: true
      k8s:
        affinity:
          nodeAffinity:
            requiredDuringSchedulingIgnoredDuringExecution:
              nodeSelectorTerms:
              - matchExpressions:
                - key: kubernetes.io/arch
                  operator: In
                  values:
                  - arm64
        env:
        - name: ISTIO_META_ROUTER_MODE
          value: standard
        hpaSpec:
          minReplicas: 2
        replicaCount: 2
        resources:
          limits:
            cpu: 500m
            memory: 512Mi
          requests:
            cpu: 100m
            memory: 128Mi
        service:
          loadBalancerIP: 192.168.45.105

    pilot:
      k8s:
        hpaSpec:
          minReplicas: 2
        replicaCount: 2
        resources:
          requests:
            cpu: 500m
            memory: 1Gi

  addonComponents:
    prometheus:
      enabled: false

  values:
    gateways:
      istio-egressgateway:
        autoscaleEnabled: false
      istio-ingressgateway:
        autoscaleEnabled: true
    global:
      proxy:
        autoInject: disabled
        resources:
          limits:
            cpu: 200m
            memory: 256Mi
          requests:
            cpu: 100m
            memory: 128Mi
      proxy_init:
        image: proxyv2
        resources:
          limits:
            cpu: 200m
            memory: 128Mi
          requests:
            cpu: 10m
            memory: 10Mi
